---
title: "Retrieve PM Notes By Code"
slug: "retrieve-pm-notes-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-pm-notes-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PM Notes By Code

Get/pm-rest-api/rest/1/pmnotes

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Find Note
- By UUID

#### Find Note

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| PmnObjCompCodeVar | Object Company Code | 001 |
| PmnObjKeyVar | Object Key | RFI-0002 |
| PmnObjectTypeVar | Object Type | PMRFI |
| PmnObjProjCodeVar | Object Project | 14002 |
| PmnNumVar | Number | 1 |

#### By UUID

This is an optional finder for querying a specific PM Note by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /pm-rest-api/rest/1/pmnotes/C377D77723047140E05316821FAC73E3 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExamplefindNote;PmnObjCompCodeVar=001,PmnObjKeyVar=RFI-0002, PmnObjectTypeVar=PMRFI, PmnObjProjCodeVar=14002, PmnNumVar=1
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExamplePmnVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='5c4bf05b-17c1-41a4-95e8-52dc4d5ac387'>application/json</option>
</select>

```json
{
  "items": [
    {
      "PmnClosedFlag": "N",
      "PmnComment": null,
      "PmnContactCode": "SS",
      "PmnContactName": "Melissa Afkari",
      "PmnDate": "2023-05-24T18:20:19Z",
      "PmnInternalFlag": "N",
      "PmnNote": "asdf",
      "PmnNum": 1,
      "PmnObjCompCode": "001",
      "PmnObjKey1": "RFI-0002",
      "PmnObjKey2": null,
      "PmnObjProjCode": "14002",
      "PmnObjectType": "PMRFI",
      "PmnPartnCode": "001",
      "PmnPartnTypeCode": "C",
      "PmnSrcCode": null,
      "PmnSrcDesc": null,
      "PmnStatusCode": "OPEN",
      "PmnSubject": null,
      "PmnUser": "CMICUSER",
      "PmnVUuid": "FC758E7131ED4DFCE05316821FAC21A8",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmnotes/FC758E7131ED4DFCE05316821FAC21A8",
          "name": "pmnotes",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmnotes/FC758E7131ED4DFCE05316821FAC21A8",
          "name": "pmnotes",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 60,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmnotes",
      "name": "pmnotes",
      "kind": "collection"
    }
  ]
}
```

object
